
function DrawWeaponMenu(id)
	local pageid = DarkByte.wp.data[id].pageid * 5 - 4;
	local str = "Weapons Menu Page: "..DarkByte.wp.data[id].pageid.."@b,";
	local needed = 0;

	local to = pageid + 5;
	if ( to > DarkByte.wp.data.wpncnt ) then
		to = DarkByte.wp.data.wpncnt;
	end
	
	for i = pageid, to, 1 do
		if ( DarkByte.wp.data.wpnEnabled[i] ) then
			str = str..DarkByte.wp.data.wpnNames[i].." |$"..DarkByte.wp.data.wpnPrices[i]..",";
		else
			str = str.."("..DarkByte.wp.data.wpnNames[i].." |(Disabled),";
		end
	end
	
	str = str..string.rep(",", 6-(to-pageid) - 1);		-- So that the Previous and Next buttons are
														-- always last
	str = str..",Next,Previous";
	
	menu(id, str);
end
