function TilePos(x, y)
	x = math.floor(x/32);
	y = math.floor(y/32);
	return x, y;
end

function TileIsWalkable(x, y)
	x, y = TilePos(x, y);
	return tile(x, y, "walkable");
end

function NearestWalkable(tx, ty)
	local fnd,i = false,0;
	if ( TileIsWalkable(tx, ty) ) then
		return tx, ty;
	end

	while ( not fnd ) do
		local tst1,tst2,tst3,tst4;
		tst1 = TileIsWalkable(tx-i, ty);
		tst2 = TileIsWalkable(tx, ty-i);
		tst3 = TileIsWalkable(tx+i, ty);
		tst4 = TileIsWalkable(tx, ty+i);
		if ( tst1 ) then
			return tx-i-16, ty;
		end
		if ( tst2 ) then
			return tx, ty-i-16;
		end
		if ( tst3 ) then
			return tx+i+16, ty;
		end
		if ( tst4 ) then
			return tx, ty+i+16;
		end

		if ( i > 100 ) then
			fnd = true;
		end
		i = i + 1;
	end

	return tx, ty;
end
